Subject: Re: grep-2.20 test-mbrtowc3.sh fails on Solaris without European localization

From: Paul Eggert <[email-masked]>
Date: Sat, 3 Sep 2016 00:18:29 -0700

Thanks for this (old) bug report <http://bugs.gnu.org/18974>.

I cannot reproduce the problem with grep 2.25 on Solaris 10 sparc with cc from 
Studio 12.5. Perhaps the mbrtowc bug has been fixed. Or perhaps I have not 
reproduced the scenario (looking at the test, it seems that it depends on a 
Japanese locale, not a European one). Or perhaps the bug is x86-64 specific. In 
any event, since grep itself does not depend on the mbrtowc functionality in 
question, this is not a bug in grep, so I'm closing the grep bug. If someone 
wants to fix it I suppose they can debug the issue and send a patch to 
bug-gnulib, but this is low priority.